Bug 255401 - xpdf and multi-button mice
xpdf and multi-button mice
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xpdf (Show other bugs)
7
All All
medium Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-26 16:22 EDT by Michal Jaegermann
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.02-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 18:13:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch to make at least mouse buttons 8 and 9 usable in xpdf (2.14 KB, patch)
2007-08-27 00:05 EDT, Michal Jaegermann
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2007-08-26 16:22:35 EDT
Description of problem:

Mice buttons in xpdf, for presses and releases, are accepted only
up to button 7.  This is documented that way and constants defined
in GlobalParams.h go only up to 7.  There is even the following
code in GlobalParams.cc:
...
  } else if (!strncmp(p0, "mousePress", 10) &&
             p0[10] >= '1' && p0[10] <= '7' && !p0[11]) {
...
and similar for releases.

The problems with that is that 'man mousedrv' says:

       Option "ButtonMapping" "N1 N2 [...]"
                   ....... Default: "1 2 3 8 9 10 ...".

with an explanation that mappings "4 5 6 7" by default are used
by one or two wheels on some mice.  In other words - xpdf 
bindings are not that useful with extra mice buttons without
rewriting "ButtonMapping" in xorg.conf (not likely to happen
very often).

OTOH allowing mice buttons to go up to 9 looks completely
straightforward (even if acceptable function keys can range
between F1 and F35).

Extra buttons on a wireless mouse used to flip pages forward
and backward in a fullscreen mode during a presentation is
an obvious example of possible uses.
       
Version-Release number of selected component (if applicable):
xpdf-3.02-2.fc7
Comment 1 Michal Jaegermann 2007-08-27 00:05:56 EDT
Created attachment 173221 [details]
a patch to make at least mouse buttons 8 and 9 usable in xpdf
Comment 2 Fedora Update System 2007-08-29 13:27:14 EDT
xpdf-3.02-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-09-04 18:13:37 EDT
xpdf-3.02-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.